#include "iodefine.h"
#include "cmt_ctrl.h"
extern void disk_timerproc (void);
#ifdef USE_KEY
#include "key_ctrl.h"
#endif

#ifdef USE_PWM
#include "audio.h"

void init_cmt0(void)
{
	/* X^oCRg[WX^7 */
	CPG.STBCR7.BIT.MSTP72 = 0;			/* RyA}b`^C}փNbN */

	/* RyA}b`^C}X^[gWX^ */
	CMT.CMSTR.BIT.STR0 = 0;				/* CMCNT_0̓JEg~ */

	/* RyA}b`^C}Rg[/Xe[^XWX^ */
	if(1 == CMT.CMCSR0.BIT.CMF)
	{
		CMT.CMCSR0.BIT.CMF = 0;			/* RyA}b`tONA */
	}
	CMT.CMCSR0.BIT.CMIE = 1;			/* RyA}b`݂ */
	CMT.CMCSR0.BIT.CKS = 0;				/* NbNZNg P/8 */

	/* RyA}b`RX^gWX^ */
	CMT.CMCOR0.WORD = 24000000/8/44100 - 1;		/* 44.1KHz */

	/* 荞ݗD惌xݒ背WX^10 */
	INTC.IPR10.BIT._CMT0 = 1;			/* RyA}b`^C} `l1 */

	return;
}

void cmt0_start(void)
{
	CMT.CMSTR.BIT.STR0 = 1;
	return;
}

void cmt0_stop(void)
{
	CMT.CMSTR.BIT.STR0 = 0;
	return;
}

void int_cmt_cmi0(void)
{
	if(1 == CMT.CMCSR0.BIT.CMF)
	{
		CMT.CMCSR0.BIT.CMF = 0;			/* RyA}b`tONA */
	}

	audio();
	return;
}
#endif

void init_cmt1(void)
{
	/* X^oCRg[WX^7 */
	CPG.STBCR7.BIT.MSTP72 = 0;			/* RyA}b`^C}փNbN */

	/* RyA}b`^C}X^[gWX^ */
	CMT.CMSTR.BIT.STR1 = 0;				/* CMCNT_1̓JEg~ */

	/* RyA}b`^C}Rg[/Xe[^XWX^ */
	if(1 == CMT.CMCSR1.BIT.CMF)
	{
		CMT.CMCSR1.BIT.CMF = 0;			/* RyA}b`tONA */
	}
	CMT.CMCSR1.BIT.CMIE = 1;			/* RyA}b`݂ */
	CMT.CMCSR1.BIT.CKS = 0;				/* NbNZNg P/8 */

	/* RyA}b`RX^gWX^ */
	CMT.CMCOR1.WORD = 24000000/8/1000 - 1;		/* 1KHz */

	/* RyA}b`^C}X^[gWX^ */
	CMT.CMSTR.BIT.STR1 = 1;				/* CMCNT_1̓JEgJn */

	/* 荞ݗD惌xݒ背WX^10 */
	INTC.IPR10.BIT._CMT1 = 1;			/* RyA}b`^C} `l1 */

	return;
}

/* ȉFatFsmain.cړ */

volatile UINT Timer;		/* ptH[}X^C} (1kHzZ) */

/*---------------------------------------------------------*/
/* 1000HzC^[o^C} (CMT1)                         */
/*---------------------------------------------------------*/

void int_cmt_cmi1(void)
{
	static int div10;

	if(1 == CMT.CMCSR1.BIT.CMF)
	{
		CMT.CMCSR1.BIT.CMF = 0;			/* RyA}b`tONA */
	}

	Timer++;

	if (++div10 >= 10) {
		div10 = 0;
		disk_timerproc();		/* fBXN^C} (100Hz) */
		#ifdef USE_KEY
		key_event();
		#endif
	}
}


void delay_ms (					/* msPʂ̃fBC */
	UINT ms
)
{
	for (Timer = 0; Timer < ms; ) ;
}
