#include "iodefine.h"
#include "pwm_ctrl.h"

void init_pwm(void)
{
	/* X^oCRg[WX^8 */
	CPG.STBCR8.BIT.MSTP87 = 0;			/* PWM^C}փNbN */

	/* |[gDRg[WX^0 */
	PORT.PDCR0.BIT.PD0MD = 2;			/* PWM1A@\ */
	PORT.PDCR0.BIT.PD2MD = 2;			/* PWM1C@\ */

	/* PWM|eBWX^_1 */
	PWM.PWPR1.BIT.OPS1A = 0;			/* PWMo͒[q1ÁAڏo */
	PWM.PWPR1.BIT.OPS1C = 0;			/* PWMo͒[q1ĆAڏo */

	/* PWMRg[WX^_1 */
	PWM.PWCR1.BIT.IE = 0;				/* 荞ݗv֎~ */
	PWM.PWCR1.BIT.CST = 0;				/* JE^~ */
	PWM.PWCR1.BIT.CKS = 0;				/* NbNZNg 0:P */

	/* PWMTCNWX^_1 */
	PWM.PWCYR1.WORD = 256 - 1;			/* 24000000/256 = 10.6us */

	/* PWMobt@WX^_1n */
	PWM.PWBFR1A.WORD = 0x0080;			/* OTS = 0, duty = 50 */
	PWM.PWBFR1C.WORD = 0x0080;			/* OTS = 0, duty = 50 */

	/* PWMRg[WX^_1 */
	PWM.PWCR1.BIT.CST = 1;				/* JE^X^[g */

	return;
}

/* PWM1AɃf[eB̐ݒ */
void pwm_set_1a(unsigned short duty)
{
	PWM.PWBFR1A.WORD = duty;
	return;
}

/* PWM1CɃf[eB̐ݒ */
void pwm_set_1c(unsigned short duty)
{
	PWM.PWBFR1C.WORD = duty;
	return;
}
