#include "iodefine.h"
#include "scif_ctrl.h"

void init_scif(void)
{
	CPG.STBCR4.BIT.MSTP45	= 0;	/* SCIF2փNbN */

	SCIF2.SCSMR.BIT.CA		= 0;	/*  */
	SCIF2.SCSMR.BIT.CHR		= 0;	/* LN^:8 */
	SCIF2.SCSMR.BIT.PE		= 0;	/* peB */
	SCIF2.SCSMR.BIT.OE		= 0;	/* peB[h */
	SCIF2.SCSMR.BIT.STOP	= 0;	/* Xgbvrbg1 */
	SCIF2.SCSMR.BIT.CKS		= 0;	/* NbNZNg 0:P */

	SCIF2.SCBRR.BYTE		= 24000000/32/38400 - 1;	/* rbg[g */

	SCIF2.SCSCR.BIT.TIE		= 0;	/* M */
	SCIF2.SCSCR.BIT.RIE		= 0;	/* M */
	SCIF2.SCSCR.BIT.TE		= 1;	/* M */
	SCIF2.SCSCR.BIT.RE		= 0;	/* M */
	SCIF2.SCSCR.BIT.REIE	= 0;	/* MG[ */
	SCIF2.SCSCR.BIT.CKE		= 0;	/* NbN */

	PORT.PFCR0.BIT.PF2MD	= 4;	/* PF2TxD2 */

	return;
}

void charput(_SBYTE c)
{
	#ifdef USE_PRINTF
	while(0 == SCIF2.SCFSR.BIT.TEND)
	{
		;
	}
	SCIF2.SCFSR.BIT.TEND = 0;
	SCIF2.SCFTDR.BYTE = c;
	#endif

	return;
}

_SBYTE charget(void)
{
	return 0;
}

