#include "iodefine.h"
#include "src_ctrl.h"

void init_src(void)
{
	SRC0.SRCCTRL.BIT.SRCEN		= 0;

	CPG.STBCR6.BIT.MSTP62		= 0;	/* SRC0փNbN */

	SRC0.SRCIDCTRL.BIT.IED		= 0;	/* 0:rbOGfBA 1:gGfBA */
	SRC0.SRCIDCTRL.BIT.IEN		= 1;	/* ̓f[^GveB݃Cl[u */
	SRC0.SRCIDCTRL.BIT.IFTRG	= 0;	/* FIFOf[^gK */

	SRC0.SRCODCTRL.BIT.OCH		= 0;	/* o̓f[^`lXbv */
	SRC0.SRCODCTRL.BIT.OED		= 0;	/* 0:rbOGfBA 1:gGfBA */
	SRC0.SRCODCTRL.BIT.OEN		= 0;	/* o̓f[^t݃Cl[u */
	SRC0.SRCODCTRL.BIT.OFTRG	= 0;	/* oFIFOf[^gK */

	SRC0.SRCCTRL.BIT.CEEN		= 0;	/* ϊI݃Cl[u */
	SRC0.SRCCTRL.BIT.SRCEN		= 0;	/* W[Cl[u */
	SRC0.SRCCTRL.BIT.UDEN		= 0;	/* oFIFOA_[t[݃Cl[u */
	SRC0.SRCCTRL.BIT.OVEN		= 0;	/* oFIFOI[o[Cg݃Cl[u */
	SRC0.SRCCTRL.BIT.FL			= 0;	/* [NtbV */
	SRC0.SRCCTRL.BIT.CL			= 1;	/* [NNA */
	SRC0.SRCCTRL.BIT.IFS		= 0;	/* ̓TvO[g */
	SRC0.SRCCTRL.BIT.OFS		= 1;	/* o̓TvO[g:48.0kHz */

	SRC0.SRCCTRL.BIT.SRCEN		= 1;

	return;
}

/* ̓TvO[gݒ */
void src_change_ifs(int fs)
{
	SRC0.SRCCTRL.BIT.SRCEN	= 0;
	SRC0.SRCCTRL.BIT.IFS =	fs == 0 ? 9 :	/* 44.1kHz */
							fs == 1 ? 10 :	/* 48.0kHz */
							fs == 2 ? 8 :	/* 32.0kHz */
							10;				/* \ */
	SRC0.SRCCTRL.BIT.SRCEN	= 1;
}
