#include "iodefine.h"
#include "ssif_ctrl.h"

void init_ssif(void)
{
	#if (defined(WAKAMATSU) || defined(WAKAMATSU_LCD))
	PORT.PECR0.BIT.PE0MD	= 2;	/* AUDIO_CLK */
	#endif

	PORT.PFCR0.BIT.PF3MD	= 2;	/* SSISCK2 */
	PORT.PFCR1.BIT.PF4MD	= 2;	/* SSIWS2 */
	PORT.PFCR1.BIT.PF5MD	= 2;	/* SSIDATA2 */

	CPG.STBCR6.BIT.MSTP65	= 0;	/* SSIF2փNbN */

	#ifdef HOKUTO
	SSIF2.SSICR.BIT.CKS		= 0;	/* I[oTvNbNI:don't care */
	#endif
	#if (defined(WAKAMATSU) || defined(WAKAMATSU_LCD))
	SSIF2.SSICR.BIT.CKS		= 1;	/* I[oTvNbNI:AUDIO_CLK */
	#endif
	SSIF2.SSICR.BIT.TUIEN	= 0;	/* MA_t[݃Cl[u */
	SSIF2.SSICR.BIT.TOIEN	= 0;	/* MI[ot[݃Cl[u */
	SSIF2.SSICR.BIT.RUIEN	= 0;	/* MA_t[݃Cl[u */
	SSIF2.SSICR.BIT.ROIEN	= 0;	/* MI[ot[݃Cl[u */
	SSIF2.SSICR.BIT.IIEN	= 0;	/* ACh[h݃Cl[u */
	SSIF2.SSICR.BIT.CHNL	= 0;	/* `l */
	SSIF2.SSICR.BIT.DWL		= 1;	/* f[^[h */
	#ifdef HOKUTO
	SSIF2.SSICR.BIT.SWL		= 0;	/* VXe[h:don't care */
	SSIF2.SSICR.BIT.SCKD	= 0;	/* VArbgNbN:X[u[h */
	SSIF2.SSICR.BIT.SWSD	= 0;	/* VAWS:X[u[h */
	#endif
	#if (defined(WAKAMATSU) || defined(WAKAMATSU_LCD))
	SSIF2.SSICR.BIT.SWL		= 3;	/* VXe[h:32rbg */
	SSIF2.SSICR.BIT.SCKD	= 1;	/* VArbgNbN:}X^[h */
	SSIF2.SSICR.BIT.SWSD	= 1;	/* VAWS:}X^[h */
	#endif
	SSIF2.SSICR.BIT.SCKP	= 0;	/* VArbgNbNɐ */
	SSIF2.SSICR.BIT.SWSP	= 0;	/* VAWSɐ */
	SSIF2.SSICR.BIT.SPDP	= 0;	/* VApfBOɐ */
	SSIF2.SSICR.BIT.SDTA	= 0;	/* VAf[^ACg */
	SSIF2.SSICR.BIT.PDTA	= 1;	/* pf[^ACg */
	SSIF2.SSICR.BIT.DEL		= 0;	/* VAf[^fBC */
	#ifdef HOKUTO
	SSIF2.SSICR.BIT.CKDV	= 0;	/* VAI[oTvNbN:don't care */
	#endif
	#ifdef WAKAMATSU
	SSIF2.SSICR.BIT.CKDV	= 1;	/* VAI[oTvNbN:AUDIO/2 */
	#endif
	#ifdef WAKAMATSU_LCD
	SSIF2.SSICR.BIT.CKDV	= 2;	/* VAI[oTvNbN:AUDIO/4 */
	#endif
	SSIF2.SSICR.BIT.MUEN	= 0;	/* ~[gCl[u */
	SSIF2.SSICR.BIT.TEN		= 0;	/* MCl[u */
	SSIF2.SSICR.BIT.REN		= 0;	/* MCl[u */

	SSIF2.SSIFCR.BIT.TTRG	= 0;	/* Mf[^gK */
	SSIF2.SSIFCR.BIT.RTRG	= 0;	/* Mf[^gK */
	SSIF2.SSIFCR.BIT.TIE	= 1;	/* MC^vgCl[u */
	SSIF2.SSIFCR.BIT.RIE	= 0;	/* MC^vgCl[u */
	SSIF2.SSIFCR.BIT.TFRST	= 0;	/* MFIFOf[^WX^Zbg */
	SSIF2.SSIFCR.BIT.RFRST	= 0;	/* MFIFOf[^WX^Zbg */

	SSIF2.SSICR.BIT.TEN		= 1;
	return;
}
